Bug 499546 - kernel: proc: avoid information leaks to non-privileged processes [rhel-5.3.z]
Summary: kernel: proc: avoid information leaks to non-privileged processes [rhel-5.3.z]
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.3
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: ZStream
Depends On: 499541
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-07 06:16 UTC by Eugene Teo (Security Response)
Modified: 2015-05-05 01:16 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 499541
Environment:
Last Closed: 2009-06-16 22:35:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1106 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-06-16 22:34:13 UTC

Description Eugene Teo (Security Response) 2009-05-07 06:16:17 UTC
+++ This bug was initially created as a clone of Bug #499541 +++

Description of problem:
By using the same test as is used for /proc/pid/maps and /proc/pid/smaps, only allow processes that can ptrace() a given process to see information that might be used to bypass address space layout randomization (ASLR). These include eip, esp, wchan, and start_stack in /proc/pid/stat as well as the non-symbolic output from /proc/pid/wchan.

ASLR can be bypassed by sampling eip as shown by the proof-of-concept code at http://code.google.com/p/fuzzyaslr/ As part of a presentation (http://www.cr0.org/paper/to-jt-linux-alsr-leak.pdf) esp and wchan were also noted as possibly usable information leaks as well.  The start_stack address also leaks potentially useful information.

Upstream commit: http://git.kernel.org/linus/f83ce3e6b02d5e48b3a43b001390e2b58820389d

--- Additional comment from eteo@redhat.com on 2009-05-07 02:09:48 EDT ---

Created an attachment (id=342773)
Upstream patch

Comment 3 Jiri Pirko 2009-06-02 10:26:53 UTC
in kernel-2.6.18-128.1.14.el5

Comment 7 errata-xmlrpc 2009-06-16 22:35:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1106.html


Note You need to log in before you can comment on or make changes to this bug.